#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#


%define rel 1

Name:    libkomparediff2
Summary: Library to compare files and strings
Version: 16.12.3
Release: %mkrel %{rel}
Epoch: 1
Group: System/Libraries
License: GPLv2
URL: https://projects.kde.org/projects/kde/kdegraphics/libs/libkomparediff2
Source: http://download.kde.org/stable/%version/src/%name-%version.tar.xz

BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Test)
BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Widgets)

BuildRequires: kf5-macros
BuildRequires: kcoreaddons-devel
BuildRequires: kcodecs-devel
BuildRequires: kconfig-devel
BuildRequires: kxmlgui-devel
BuildRequires: ki18n-devel
BuildRequires: kio-devel
BuildRequires: kparts-devel

BuildRequires:  libxml2-utils
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl

# Branch Patch (100-200)

%description
A shared library to compare files and strings using kdelibs and GNU diff,
used in Kompare and KDevelop.

#------------------------------------------------------------------------------
%define komparediff2_major 5
%define libkomparediff2 %mklibname komparediff2_ %komparediff2_major

%package -n %{libkomparediff2}
Summary: Library to compare files and strings
Group: System/Libraries

%description -n %{libkomparediff2}
A shared library to compare files and strings using kdelibs and GNU diff,
used in Kompare and KDevelop.

%files -n %{libkomparediff2}
%_kf5_libdir/libkomparediff2.so.%{komparediff2_major}*

#------------------------------------------------------------------------------
%define libkomparediff2_devel %mklibname komparediff2 -d

%package -n %{libkomparediff2_devel}
Summary: Library to compare files and strings
Group: Development/KDE and Qt
Requires: %libkomparediff2 = %epoch:%version-%release
Conflicts: kompare-devel < 1:4.12.2
Provides:  %name-devel = %epoch:%version-%release

%description -n %{libkomparediff2_devel}
A shared library to compare files and strings using kdelibs and GNU diff,
used in Kompare and KDevelop.

%files -n %{libkomparediff2_devel}
%_includedir/libkomparediff2
%_kf5_libdir/cmake/LibKompareDiff2
%_kf5_libdir/libkomparediff2.so

#------------------------------------------------------------------------------

%prep
%setup -q

%build
export LD=/usr/bin/ld.gold 
%cmake_kf5 -DKDE4_ENABLE_FINAL=ON
%make

%install
%makeinstall_std -C build


%changelog
* Wed Mar 08 2017 neoclust <neoclust> 1:16.12.3-1.mga6
+ Revision: 1090153
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 1:16.12.0-1.mga6
+ Revision: 1076895
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 1:16.11.90-1.mga6
+ Revision: 1072088
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 1:16.08.3-1.mga6
+ Revision: 1067407
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 1:16.08.2-1.mga6
+ Revision: 1061470
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 1:16.08.1-1.mga6
+ Revision: 1050733
- New version 16.08.1

* Sat Sep 03 2016 neoclust <neoclust> 1:16.08.0-2.mga6
+ Revision: 1049824
- Rebuild for armv7

* Sat Aug 20 2016 neoclust <neoclust> 1:16.08.0-1.mga6
+ Revision: 1047382
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 1:16.04.3-1.mga6
+ Revision: 1040136
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 1:16.04.1-1.mga6
+ Revision: 1012626
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 1:16.04.0-1.mga6
+ Revision: 1004414
- New version 16.04.0

* Thu Mar 24 2016 neoclust <neoclust> 1:16.03.80-1.mga6
+ Revision: 994987
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 1:15.12.3-1.mga6
+ Revision: 991255
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 1:15.12.2-1.mga6
+ Revision: 987533
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 1:15.12.1-1.mga6
+ Revision: 922697
- New version 15.12.1

* Sat Dec 19 2015 neoclust <neoclust> 1:15.12.0-1.mga6
+ Revision: 911974
- New version 15.12.0

* Mon Nov 23 2015 neoclust <neoclust> 1:15.11.80-1.mga6
+ Revision: 905432
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 1:15.08.3-1.mga6
+ Revision: 901168
- New version 15.08.3

* Wed Oct 14 2015 neoclust <neoclust> 1:15.08.2-1.mga6
+ Revision: 890649
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 1:15.08.1-1.mga6
+ Revision: 880461
- New version 15.08.1

* Wed Aug 19 2015 neoclust <neoclust> 1:15.08.0-1.mga6
+ Revision: 865979
- New version 15.08.0

* Wed Aug 12 2015 neoclust <neoclust> 1:15.07.90-2.mga6
+ Revision: 864008
- Plasma Mass Rebuild - Rebuild for new Plasma

* Sun Aug 09 2015 neoclust <neoclust> 1:15.07.90-1.mga6
+ Revision: 861792
- New version 15.07.90

* Thu Jul 30 2015 neoclust <neoclust> 1:15.07.80-1.mga6
+ Revision: 859267
- New version 15.07.80

* Fri Jul 24 2015 neoclust <neoclust> 1:15.04.3-1.mga6
+ Revision: 856828
- New version 15.04.3

* Wed Dec 03 2014 lmenut <lmenut> 1:4.14.3-1.mga5
+ Revision: 800668
- Update to KDE SC 4.14.3

* Sat Oct 18 2014 lmenut <lmenut> 1:4.14.2-1.mga5
+ Revision: 787766
- Update to KDE SC 4.14.2

* Wed Oct 15 2014 umeabot <umeabot> 1:4.14.1-2.mga5
+ Revision: 750954
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 lmenut <lmenut> 1:4.14.1-1.mga5
+ Revision: 734620
- Update to KDE SC 4.14.1

* Tue Sep 16 2014 umeabot <umeabot> 1:4.14.0-2.mga5
+ Revision: 681562
- Mageia 5 Mass Rebuild

* Mon Aug 25 2014 lmenut <lmenut> 1:4.14.0-1.mga5
+ Revision: 667553
- Update to KDE SC 4.14.0
- Use official URL http://download.kde.org for Source

* Fri Aug 15 2014 lmenut <lmenut> 1:4.13.97-1.mga5
+ Revision: 663065
- Update to KDE SC 4.13.97 aka KDE SC 4.14 RC

* Sat Jul 26 2014 lmenut <lmenut> 1:4.13.95-1.mga5
+ Revision: 656743
- Update to KDE SC 4.13.95 aka KDE SC 4.14 Beta3

* Sat Jul 19 2014 lmenut <lmenut> 1:4.13.90-1.mga5
+ Revision: 653928
- Update to KDE SC 4.13.90 aka KDE SC 4.14 Beta2

* Mon Jul 14 2014 lmenut <lmenut> 1:4.13.80-1.mga5
+ Revision: 652039
- Update to KDE SC 4.13.80 aka KDE SC 4.14 Beta1

* Sun Jun 15 2014 lmenut <lmenut> 1:4.13.2-1.mga5
+ Revision: 636802
- Update to KDE SC 4.13.2

* Sat May 24 2014 lmenut <lmenut> 1:4.13.1-1.mga5
+ Revision: 625569
- Update to KDE SC 4.13.1

* Thu Apr 17 2014 lmenut <lmenut> 1:4.13.0-1.mga5
+ Revision: 615650
- Update to KDE SC 4.13.0

* Sat Mar 29 2014 lmenut <lmenut> 1:4.12.97-1.mga5
+ Revision: 609462
- Update to KDE SC 4.12.97 aka KDE SC 4.13 RC

* Sun Mar 23 2014 lmenut <lmenut> 1:4.12.95-1.mga5
+ Revision: 606903
- Update to KDE SC 4.12.95 aka KDE SC 4.13 Beta3

  + neoclust <neoclust>
    - New version 4.12.80

* Fri Mar 07 2014 neoclust <neoclust> 1:4.12.80-1.mga5
+ Revision: 600743
- New version 4.12.80
- New version 4.12.3
- New version 4.12.3

* Sun Feb 16 2014 neoclust <neoclust> 1:4.12.2-2.mga5
+ Revision: 592646
- Fix Requires in lib package

* Sun Feb 16 2014 neoclust <neoclust> 1:4.12.2-1.mga5
+ Revision: 592632
- imported package libkomparediff2

